// SingleInputDlg.cpp : 구현 파일입니다.
//

#include "stdafx.h"
#include "PatchMaker.h"
#include "SingleInputDlg.h"
#include ".\singleinputdlg.h"


// CSingleInputDlg 대화 상자입니다.

IMPLEMENT_DYNAMIC(CSingleInputDlg, CDialog)
CSingleInputDlg::CSingleInputDlg(const CString& szTitle, 
                                 const CString& szQuestion, CWnd* pParent /*=NULL*/)
    : CDialog(CSingleInputDlg::IDD, pParent)
    , m_szTitle(szTitle)
    , m_szQuestion(szQuestion)
    , m_szSingleInput(_T(""))
{
}

CSingleInputDlg::~CSingleInputDlg()
{
}

void CSingleInputDlg::DoDataExchange(CDataExchange* pDX)
{
    CDialog::DoDataExchange(pDX);
    DDX_Text(pDX, IDC_INPUT_SINGLE_QUESTION, m_szQuestion);
    DDX_Text(pDX, IDC_INPUT_SINGLE_LINE, m_szSingleInput);
}


BEGIN_MESSAGE_MAP(CSingleInputDlg, CDialog)
END_MESSAGE_MAP()


// CSingleInputDlg 메시지 처리기입니다.

BOOL CSingleInputDlg::OnInitDialog()
{
    CDialog::OnInitDialog();

    // TODO:  여기에 추가 초기화 작업을 추가합니다.
    SetWindowText(m_szTitle);
    UpdateData(FALSE);

    return TRUE;  // return TRUE unless you set the focus to a control
    // 예외: OCX 속성 페이지는 FALSE를 반환해야 합니다.
}
